# coding: utf-8

"""
    Pathnexus

    Pathnexus - a lab data harmonisation platform  # noqa: E501

    OpenAPI spec version: 5.8.0
    Contact: support@termlex.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six


class CommitId(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'major_id': 'int',
        'minor_id': 'int'
    }

    attribute_map = {
        'major_id': 'majorId',
        'minor_id': 'minorId'
    }

    def __init__(self, major_id=None, minor_id=None):  # noqa: E501
        """CommitId - a model defined in Swagger"""  # noqa: E501

        self._major_id = None
        self._minor_id = None
        self.discriminator = None

        if major_id is not None:
            self.major_id = major_id
        if minor_id is not None:
            self.minor_id = minor_id

    @property
    def major_id(self):
        """Gets the major_id of this CommitId.  # noqa: E501


        :return: The major_id of this CommitId.  # noqa: E501
        :rtype: int
        """
        return self._major_id

    @major_id.setter
    def major_id(self, major_id):
        """Sets the major_id of this CommitId.


        :param major_id: The major_id of this CommitId.  # noqa: E501
        :type: int
        """

        self._major_id = major_id

    @property
    def minor_id(self):
        """Gets the minor_id of this CommitId.  # noqa: E501


        :return: The minor_id of this CommitId.  # noqa: E501
        :rtype: int
        """
        return self._minor_id

    @minor_id.setter
    def minor_id(self, minor_id):
        """Sets the minor_id of this CommitId.


        :param minor_id: The minor_id of this CommitId.  # noqa: E501
        :type: int
        """

        self._minor_id = minor_id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, CommitId):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
